import { Options } from './core/types';
import Rayconnect from './rayconnect';


function RayApp(ops: Options): Rayconnect {
    const app = new Rayconnect(ops);

    window.RayconnectApp = app;
    return app;
}
declare global {
    interface Window {
        Rayconnect: typeof Rayconnect;
        RayconnectInit: typeof RayApp,
        RayconnectApp: Rayconnect
    }
}

window.Rayconnect = Rayconnect

window.RayconnectInit = RayApp
