import Rayconnect from './rayconnect';
import { assert } from 'chai';
import 'mocha';



let rayconnect = new Rayconnect({
    scopes: process.env.scopes || 'hello',
    appID: process.env.appID || 'sinox',
    space: "main",
    type: "micros",
}, undefined, true)


describe('test rayconnect with guest user', () => {



    beforeEach(async () => {

        return rayconnect.GetGuestAccess()


    })
    it('should return guest', (done) => {

        assert(rayconnect.user.uid == 'guest')

        done()

    })

    it('check app is sinox', (done) => {

        assert(rayconnect.app.aid == 'sinox')

        done()

    })

    it('check otp service is ok :', (done) => {


        rayconnect.RequestOTP(process.env.phone || '')
            .then((data: any) => {
                assert(data.step === 1)
                done()
            })



    })

    it('chekc call function', async (done) => {
        done()

    })


});




after(function () {
    // rayconnect.socket.close()
});


